# psignifit

Python toolbox for Bayesian psychometric function estimation

[![Tests](https://github.com/wichmann-lab/python-psignifit/actions/workflows/ci-tests.yml/badge.svg)](https://github.com/wichmann-lab/python-psignifit/actions/workflows/ci-tests.yml)
[![Documentation](https://readthedocs.org/projects/psignifit/badge/?version=latest)](https://psignifit.readthedocs.io/en/latest/?badge=latest)
[![PyPI version](https://img.shields.io/pypi/v/psignifit.svg)](https://pypi.python.org/pypi/psignifit)
[![DOI](https://zenodo.org/badge/55228455.svg)](https://doi.org/10.5281/zenodo.14750140)

## Getting started

Install *psignifit* with `pip`:
```
pip install psignifit
```

See [the documentation](https://psignifit.readthedocs.io/en/latest/) to get started.

## How to cite

If you use this package, please cite both *this implementation*:

**Zito, T., Künstle, D., Aguilar, G., Berkes, P., & Schwetlick, L. psignifit 4.3 (Version 4.3) [Computer software]. https://doi.org/10.5281/zenodo.14750140**

as well as the *original paper*:


**Schütt, H. H., Harmeling, S., Macke, J. H., & Wichmann, F. A. (2016). Painfree and accurate Bayesian estimation of psychometric functions for (potentially) overdispersed data. Vision Research, 122, 105–123. [doi:10.1016/j.visres.2016.02.002](https://doi.org/10.1016/j.visres.2016.02.002)**


## Contributors

See the [CONTRIBUTORS](https://github.com/wichmann-lab/python-psignifit/blob/master/CONTRIBUTORS) file

## License and COPYRIGHT

See the [COPYRIGHT](https://github.com/wichmann-lab/python-psignifit/blob/master/COPYRIGHT) file
